@echo off

set InputApp=genefer22g_windows64_24.04.01.exe

set Kolik=%1%
if NOT "%~1"=="" GOTO DeviceGPU

:Chybka
echo *** Ocekavam prvni parametr, ktery urcuje pocet testu k pripraveni ***
echo * Napr. Start_priprava_testu.bat 1

set Kolik=1
set /p Kolik=Kolik testu:
if not '%Kolik%'=='' set Kolik=%Kolik%

:DeviceGPU
set DeviceGPU=%2
IF NOT [%2] == [] GOTO CoTestovat_N

@echo:
echo *** Ocekam druhý parametr, ktery urcuje Device GPU, tedy na kterem zarizeni se bude pocitat ***
echo * Vyplnujte jen tehdy, pokud mate napr. integrovanou i externi grafiku nebo vice externich GPU %Kolik% 0

set DeviceGPU=0
set /p DeviceGPU=Device GPU:
if not '%DeviceGPU%'=='' set DeviceGPU=%DeviceGPU:~0,2%

:CoTestovat_N
set enko=%3
IF NOT [%3] == [] GOTO CoTestovat_B

@echo:
echo *** Ocekam treti parametr, ktery urcuje jake N, napr. 19 pro GFN19 (524288)

set enko=19
set /p enko=Zadej hodnotu N pro GFN, jinak pouziji vychozi:
if not '%enko%'=='' set enko=%enko%

:CoTestovat_B
set becko=%4
IF NOT [%4] == [] GOTO Poustej

@echo:
echo *** Ocekam ctvrty parametr, ktery urcuje jake B, napr. 9256414 (pro 9256414 na N+1)
echo *** 2024/06 N16 B 395946858 / N17 B 233097324 / N18 B 39546176 / N19 - B 9256414 / N20 B 3416426 / N21 B 1472718 / N22 B 367316 / N22/DYFL B 1180830

set becko=9256414
set /p becko=Zadej hodnotu B pro GFN, jinak pouziji vychozi:
if not '%becko%'=='' set becko=%becko%

:Poustej
@echo:
ECHO ** Pripravim %Kolik% testu na Device GPU %DeviceGPU% po %KolikTreadu% threadech a budu testovat GFN%enko%^^%becko%+1 **
rem timeout 3

:Kopiruj
ECHO *** Pripravuji...
for /l %%x in (1,1,%Kolik%) do (
 ECHO * Kopiruji TestGFNGPU_%%x
  mkdir TestGFNGPU_%%x
  cd TestGFNGPU_%%x
  copy /Y ..\_InputApps\%InputApp%
  rem echo %InputApp% -q %Kandidat% -nt %KolikTreadu% >_Run_this_app.bat
  echo %InputApp% -p -f gproof -n %enko% -b %becko% -d %DeviceGPU% >_Run_this_app.bat
  cd ..
 ECHO * Poustim test c. %%x...
 start _start_testu.cmd TestGFNGPU_%%x _Run_this_app.bat
 timeout 2
 )
@echo:
ECHO *** Melo by bezet %Kolik% testu ***
timeout 10

EXIT